> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalhar Produto

> Retorna a hierarquia integral (full detail) referente a um produto específico com base no seu UUID.

### Path

<ParamField path="id" type="string" required>
  UUID do produto.
</ParamField>

### Query Parameters

<ParamField query="includeVariations" type="boolean" default="false">Sinaliza se a resposta deve expandir os dados das variações vinculadas a ele.</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "cffbca85-da89-4b2a-aecf-31422abcb34a",
    "sku": "PROD-123",
    "commercialName": "Cabo USB-C",
    "description": "Cabo veloz.",
    "type": "SIMPLE",
    "status": "APPROVED",
    "width": 10,
    "height": 5,
    "weight": 0.50,
    "netWeight": 0.45,
    "variations": []
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /products/{id}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /products/{id}:
    get:
      tags:
        - Products
      summary: Get a product by ID
      operationId: ProductController_findOne
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: includeVariations
          required: true
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Return the product.
        '404':
          description: Product not found.

````